Finance::Quote::Stooq(3pm)

NAME
Finance::Quote::stooq - Obtain quotes from stooq Stock Exchange.

SYNOPSIS
    use Finance::Quote;

    $q = Finance::Quote->new;

    %info = $q->fetch("stooq", "ISLN.UK");  # Only query stooq

    %info = $q->fetch("poland", "LRQ");     # Failover to other sources OK.

DESCRIPTION
This module fetches information from <https://stooq.com/>.

This module is loaded by default on a Finance::Quote object. It's also possible to load it explicitly by placing "stooq" in the argument list to Finance::Quote->new().

This module provides "stooq", "poland", and "europe" fetch methods.

Information obtained by this module may be covered by Warsaw Stock Exchange terms and conditions.

LABELS RETURNED
The following labels are returned:

name
symbol
open
high
low
last
bid
ask
date
currency